// JS for dialog_plan.html page

// Delete plan with ajax
function deletePlan() {
	$("#formDelPlan").submit(function(e) {
		e.preventDefault();

		var formData = getFormValues('formDelPlan');

		$.ajax({
			type: "POST",
			url: $(this).attr("action"),
			data: { isJSONResp: true, ...formData },
			dataType: "json"
		})
		.done(function(data) {
			if (data.error) {
				// Error Message
				displayUserMessage(data.error, true, 'dialog-messages');
			} else if (data.url) {
				// If no error redirect the page
				window.location.replace(data.url);
			}
		});
	});
}
