/* Link Tool */

// Reset plan link actions
function setLinkTool(plan, button)
{
	$('.plan-container').addClass('tool-link-active');
	window.planImgApp.setLinkModeEnabled(true);

	$(document).on("keydown.linktool", function(e)
	{
		// Reset event if user press ESC on his keyboard
		if(e.keyCode == 27)
		{
			resetToolActive(plan, button);
			resetLinkTool();
		}
	});
}

// Reset plan link actions
function resetLinkTool()
{
	$('.plan-container').removeClass('tool-link-active');
	window.planImgApp.setLinkModeEnabled(false);

	$(document).off(".linktool");
}

// Init plan link in tool bar
function initPlanToolLink()
{
	var plan = $('#plan' + glob_plan.id),
		button = $('.plan-tool-link');

	$('.plan-tools-bar .plan-tool').on("click", function(e)
	{
		if(!$(this).hasClass('plan-tool-link'))
		{
			resetLinkTool();
		}
	});

	$('.plan-tools-bar .plan-tool-link').on("click", function(e)
	{
		if($(this).hasClass('active'))
		{
			resetToolActive(plan, button);
			resetLinkTool();
		}
		else
		{
			setToolActive(plan, button);
			setLinkTool(plan, button);
		}
	});
}
