<?php

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'WEBP_PLAN' => 'Maps',
		'PLAN_PLANS' => 'Maps',
		'PLAN_PLAN' => 'Map',
		'PLAN_ICONS' => 'Icons',
		'PLAN_ICON' => 'Icon',
		'PLAN_LINK' => 'Link',
		'PLAN_LINKS' => 'Links',
		'PLAN_IMAGE' => 'Background pictures',
		'PLAN_UPL_IMG' => 'Upload new picture',
		'PLAN_HELP_OBJ_DETAILS' => 'Ctrl + Click&nbsp;: Open the details of the elements linked to the object',
		'PLAN_HELP_LINKED_PLAN' => 'Click&nbsp;: Open the plan linked to this object',
		'PLAN_HELP_CLICK_ZOOM' => 'Click&nbsp;: Zoom on the object',
		'PLAN_HELP_LINK_CLICK_GRAPH' => 'Click&nbsp;: Display linked service graph',
		'PLAN_UPDATE_OBJECT' => 'Object updated',
		'PLAN_UPDATE_LINK' => 'Link updated',
		'PLAN_DELETE_SERVICE_LINK' => 'Linked service deleted with success',
		'PLAN_DELETE_NODE_OBJECT' =>'Linked node deleted with success',
		'PLAN_DELETE_GROUP_OBJECT' =>'Linked group deleted with success',
		'PLAN_LINKED_SERVICES' => 'Linked services',
		'PLAN_LINKED_SERVICE' => 'Linked service',
		'PLAN_ONLY_TWO_SERVICES' => 'You only can link 2 services to one link',
		'PLAN_RESIZE' => 'Resize',
		'PLAN_DELETE' => 'Delete',
		'PLAN_DELETE_VALIDATE' => 'Confirm deletion',
		'PLAN_DELETE_ABORT' => 'Abort deletion',
		'PLAN_CLOSE' => 'Close',
		'PLAN_MODIFY' => 'Modify',
		'PLAN_MODIFY_VALIDATE' => 'Confirm modifications',
		'PLAN_MODIFY_ABORT' => 'Abort modifications',
		'PLAN_VALIDATE' => 'Confirm',
		'PLAN_ABORT' => 'Abort',
		'PLAN_CLICK_LINK_ELEM' => 'Click on the element to link',
		'PLAN_GIVE_NAME' => 'Give a name',
		'PLAN_PLEASE_GIVE_NAME' => 'Please, give a name',
		'PLAN_UPD_OK'=>'Plan successfully modified',
		'PLAN_DEL_IMG'=>'Delete the picture',
		'PLAN_DELETE_IMAGE_TEXT'=>'Picture successfully deleted',
		'PLAN_ITEMS' => 'Items',
		'PLAN_LINKED_ELEMENTS' => 'Linked elements',
		'PLAN_NO_LINKED_ELEMENT' => 'No linked element to this object',
		'PLAN_UPLOAD' => 'Upload',
		'PLAN_DELETE_IMAGE'=>'Do you want to delete this picture ?',
		'PLAN_IMPORT_LOGO'=>'Importing new images',
		'PLAN_ADD' => 'Add a plan',
		'PLAN_ADD_SUCCES' => 'Plan created with success',
		'PLAN_ADD_FAILED' => 'Unable to create plan',
		'PLAN_ADD_FAILED_USER_RIGHTS' => 'More user permissions required',
		'PLAN_ADD_FAILED_MISSING_VAR' => 'Informations Missing',
		'PLAN_DELETE_PLAN'=>'Do you want to delete this plan and its references ? ? All objects of this plan will be deleted too',
		'PLAN_DELETE_SUCCESS'=> 'Plan successfully deleted',
		'PLAN_DELETE_FAILED'=> 'Plan deletion failed',
		'PLAN_NEW_NAME_ICON'=>'New name for icon',
		'PLAN_UPD_NAME_ICON'=>'Change the name of the icon',
		'PLAN_NEW_PLAN'=>'New plan',
		'PLAN_UPD_ICON_OBJET'=>'Update icon',
		'PLAN_DELETE_ICON_ON_PLAN'=>'This icon can not be deleted because it is present on the following map :',
		'PLAN_DISPLAY_ICONS' => 'Display icons',
		'PLAN_NO_PLAN_LINKED' => 'No plan linked',
		'PLAN_LINK_PLAN'=> 'Link a plan',
		'PLAN_ADMIN_ICON' => 'Icons administration',
		'PLAN_UPLOAD_ONE_LOGO' => 'Upload a new icon',
		'PLAN_UPLOAD_FOUR_LOGOS' => 'Upload an icon for each status',
		'PLAN_INFO_FOUR_LOGOS' => 'Upload an icon for each status (Ok - Alerte - Critique - Inconnu)',
		'PLAN_INFO_ONE_LOGO' => 'Upload an image that will have a border taking the color of its status',
		'PLAN_SELECT_ICON_GROUP' => 'select the icons groups',
		'PLAN_GROUP_ADMIN' => 'Icon groups management',
		'PLAN_ADD_ICON_GROUP' => 'Add an icon group',
		'PLAN_INFO_LOGO_ADM' => 'Click on the icon you want to modify or delete',
		'PLAN_ESIA_ICON_INFO' => 'Esia icons can not be modified or deleted',
		'PLAN_ESIA_GRP_ICON_UNIQ' => 'The ESIA icon group is the default group and cannot be reused',
		'PLAN_UPL_ICON_SUCCESS' => 'Icon uploaded with success',
		'PLAN_SAME_EXTENSION' => 'Error, files must have the same extension',
		'PLAN_ADD_ICON_GROUP' => 'Add icons group',
		'PLAN_ADD_ICON_GROUP_SUCCESS' => 'Icons group successfully added',
		'PLAN_UPD_ICON_GROUP' => 'Modify icons group',
		'PLAN_UPD_ICON_GROUP_SUCCESS' => 'Icons group successfully updated',
		'PLAN_DEL_ICON_GROUP' => 'Delete icons group',
		'PLAN_DEL_ICON_GROUP_SUCCESS' => 'Icons group successfully deleted',
		'PLAN_DEL_ICON_GROUP_ERR_GROUP_FILES' => 'Icons group deleted but somme files can\'t be removed from the server&nbsp;: ',
		'PLAN_DEL_ICON_GROUP_WARN' => 'You are about to delete the icons group',
		'PLAN_DEL_ICON_GROUP_CONTENT_CHOICE' => 'What do you want to do with its content&nbsp;?',
		'PLAN_DEL_ICON_GROUP_CONTENT_DELETE'=> 'Delete the icons group and all its contents',
		'PLAN_DEL_ICON_GROUP_CONTENT_DEFAULT'=> 'Delete the icons group but copy its content into the default group',
		'PLAN_UPD_ICON' => 'Modify icon',
		'PLAN_UPD_ICON_SUCCESS' => 'Icon successfully updated',
		'PLAN_DEL_ICON' => 'Delete icon',
		'PLAN_DEL_ICON_SUCCESS' => 'Icon successfully deleted',
		'PLAN_DEL_ICON_ERR_FILES' => 'Icons deleted from DB but somme files can\'t be removed from the server&nbsp;: ',
		'PLAN_ICONS_DEFAULT_GROUP' => 'Default',
		'PLAN_DEL_GROUP_INFO' => 'Are you sure to delete this group ? Its icons will be associated to no group',
		'PLAN_DEL_ICON_INFO' => 'Are you sure to delete this icon ?',
		'PLAN_UNABLE_DEL_ICON_INFO' => 'Impossible to delete this icon because it is used on this plan(s) :',
		'PLAN_UPD_ICON_SUCESS' => 'Icon modified with success',
		'PLAN_DISPLAY_RESSOURCES' => 'Display ressources',
		'PLAN_ZONE' => 'Zone',
		'PLAN_UPDATE_ZONE' => 'Zone updated with success',
		'PLAN_LINKED_PLAN' => 'Linked plan',
		'PLAN_UPDATED_SUCCESS' => 'Plan updated with success',
		'PLAN_CREATE_ZONE' => 'Create a zone',
		'PLAN_HELP_ZONE' => 'Click on the plan et draw a new zone',
		'PLAN_DELETE_ZONE_SUCCESS' => 'Zone deleted with success',
		'PLAN_LINK_ORDER'=>'Link Order',
		'PLAN_CHANGE_LINK_ORDER'=>'Reverse the order of the links',
		'PLAN_OBJECT_NAME' => 'Object name',
		'PLAN_WARNING_LINKED' => 'Warning : This plan is referenced on these "plans -> objets"&nbsp;:',
		'PLAN_REFRESH_EVERY' => 'Refresh every',
		'PLAN_REFRESH_HELP' => '0 = no refresh',
		'PLAN_OBJ_DELETED' => 'Object successfully deleted',
		'PLAN_ONE_SERVICE_BY_LINK' => 'Create one link by service',
		'PLAN_READ_USER_SHARE' => 'Share in reading',
		'PLAN_WRITE_USER_SHARE' => 'Share in reading & writing',
		'PLAN_NO_FOUND'=> 'This plan doesn\'t exist',
		'PLAN_USER_PERMS_DENIED'=> 'Unauthorized action: Permission denied',
		'PLAN_FOLDER'=> 'Folder ',
		'PLAN_FOLDERNAME'=> 'Folder name',
		'PLAN_FOLDER_CREATE'=> 'Create a folder',
		'PLAN_FOLDER_CREATE_SUCCESS'=> 'Folder successfully created',
		'PLAN_FOLDER_UPDATE'=> 'Modify current folder',
		'PLAN_FOLDER_UPDATE_SUCCESS'=> 'Folder successfully updated',
		'PLAN_FOLDER_UPDATE_FAILED'=> 'Folder update failed',
		'PLAN_FOLDER_DELETE'=> 'Delete current folder',
		'PLAN_FOLDER_DELETE_WARN'=> 'You are about to delete the folder &quot;%s&quot; for all users.',
		'PLAN_FOLDER_DELETE_CONTENT_CHOICE'=> 'What do you want to do with its content&nbsp;?',
		'PLAN_FOLDER_DELETE_CONTENT_DELETE'=> 'Delete folder and all its contents',
		'PLAN_FOLDER_DELETE_CONTENT_ROOT'=> 'Delete folder but copy its content into the Root folder',
		'PLAN_FOLDER_DELETE_SUCCESS'=> 'Folder successfully deleted',
		'PLAN_FOLDER_DELETE_FAILED'=> 'Folder deletion failed',
		'PLAN_FOLDER_PARENT'=> 'Parent folder ',
		'PLAN_FOLDER_PRIVILEGE'=> 'Unable to update folder',
		'PLAN_NAME'=> 'Plan name',
		'PLAN_TYPE'=> 'Plan type',
		'DASHBOARD_WIDGET_GROUP_PLAN'=>'Plan',
		'PLAN_TYPE_FOLDER'=> 'Folder',
		'PLAN_TYPE_IMAGE'=> 'Image plan',
		'PLAN_TYPE_GOOGLEMAP'=> 'Map plan',
		'PLAN_TYPE_UNKNOWN'=> 'Plan',
		'PLAN_FOLDER_ROOT'=> 'Root',
		'PLAN_MOVE_SUCCESS'=> ' has been successfully moved',
		'PLAN_MOVE_FAILED_ITEM_RIGHTS'=> 'You can\'t move %s because you don\'t have write permission on it.',
		'PLAN_MOVE_FAILED_TARGET_RIGHTS'=> 'You don\'t have write permission on the target folder.',
		'PLAN_MOVE_INFO'=> 'Drag & Drop&nbsp;: To move folders or plans by Drag & Drop, your user account must have the right "map_administration" as well as write rights on the item to move and on the targeted folder.',
		'PLAN_CLONE' => 'Clone',
		'PLAN_PREVIEW'=> 'Preview',
		'PLAN_STYLES'=> 'Styles',
		'PLAN_STYLES_TITLE'=> 'Title styles',
		'PLAN_STYLES_CONTENT'=> 'Content styles',
		'PLAN_STYLES_BOX'=> 'Box styles',
		'PLAN_STYLES_FONT_SIZE'=> 'Font size',
		'PLAN_STYLES_FONT_COLOR'=> 'Font color',
		'PLAN_STYLES_BG_COLOR'=> 'Background color',
		'PLAN_STYLES_BG_OPACITY'=> 'Background opacity',
		'PLAN_STYLES_BORDER_COLOR'=> 'Border color',
		'PLAN_STYLES_BORDER_WIDTH'=> 'Border width',
		'PLAN_STYLES_BORDER_RADIUS'=> 'Box radius',
		'PLAN_STYLES_PADDING'=> 'Edge spacing',
		'PLAN_LINK_FIELDS'=> 'Standardize parameters',
		'PLAN_UNLINK_FIELDS'=> 'Customize parameters',
		'PLAN_TOOLS' => 'Tools',
		'PLAN_TOOLS_TEXT'=> 'Text',
		'PLAN_TOOLS_TEXT_CONF'=> 'Text settings',
		'PLAN_TOOLS_TEXT_PLACEHOLDER'=> 'Enter some text',
		'PLAN_TOOLS_SERVICE'=> 'Service',
		'PLAN_TOOLS_SERVICE_CONF'=> 'Object service settings',
		'PLAN_TOOLS_SERVICE_ERR_DISPLAY'=> 'Can\'t display objet service ',
		'PLAN_TOOLS_SERVICE_ERR_TYPE'=> 'Unrecognize type ',
		'PLAN_TOOLS_OBJECT_DELETE_FAILED'=> 'Item cannot be removed',
		'PLAN_NOT_GET_STATE'=> 'Do not retreive state',
		'PLAN_SERVICE_TYPE_STATE'=> 'State',
		'PLAN_MESSAGE'=> 'Message',
		'PLAN_DISPLAY_PARAM'=> 'Display parameters',
		'PLAN_DISPLAY_NAME'=> 'Name',
		'PLAN_DISPLAY_STATE'=> 'State',
		'PLAN_DISPLAY_NAME_STATE'=> 'Name and state',
		'PLAN_DISPLAY_NONE'=> 'None',
		'PLAN_NODE_NAME'=> 'Node name',
		'PLAN_SERVICE_STATE_COLOR'=> 'Service state color',
		'PLAN_SERVICE_CONTENT'=> 'Service content',
		'PLAN_VAL_NAME'=> 'Value name',
		'PLAN_SERVICE_NAME'=> 'Service name',
		'PLAN_VALUES'=> 'Values',
		'PLAN_SERVICE'=> 'Service',
		'PLAN_SERVICES'=> 'Services',
		'PLAN_CONTENT_TO_DISPLAY'=> 'Content to display',
		'PLAN_SERVICE_DEFAULT_NAME'=> 'Service',
		'PLAN_SERVICE_VAL_DEFAULT_NAME'=> 'Value',
		'PLAN_OBJECT_SERVICE'=> 'Object service',
		'PLAN_TRASH'=> 'Recycle bin',
		'PLAN_TO_TRASH'=> 'To recycle bin',
		'PLAN_TRASH_ACTION_EMPTY'=> 'Empty the recycle bin',
		'PLAN_TRASH_EMPTY_MSG'=> 'Permanently delete all items form the recycle bin ?',
		'PLAN_ZOOM'=> 'Zoom',
		'PLAN_TYPE_RACK'=> 'Rack plan',
		'PLAN_RACK_PARAM'=> 'Rack parameters',
		'PLAN_RACK_U_NBR'=> 'Number of U',
		'PLAN_RACK_HIDE_EMPTY_U'=> 'Hide empty U',
		'PLAN_ERROR_PLAN_PARAM'=> 'Error on plan parameters update',
		'PLAN_ERROR_PLAN_ID'=> 'Plan ID does not match',
		'PLAN_ERROR_PLAN_NAME'=> 'Missing plan name',
		'PLAN_ERROR_RACK'=> 'Error on rack update',
		'PLAN_ERROR_RACK_PARAM'=> 'Missing rack parameters',
		'PLAN_ERROR_INVALID_ITEM'=> 'Invalid item',
		'PLAN_ERROR_RACK_ITEMS'=> 'Rack items can\'t be retreived',
		'PLAN_ERROR_RACK_ITEMS_DEL'=> 'Can\'t delete items from the trash',
		'PLAN_ERROR_RACK_ITEMS_DEL_EMPTY'=> 'The list of items to delete is empty',
		'PLAN_ERROR_RACK_ITEM_CONF'=> 'Rack item configuration error',
		'PLAN_ERROR_SERVICES_FETCH'=> 'Services list can\'t be fetched',
		'PLAN_ERROR_SERVICES_STATE'=> 'Cannot retreive services state',
		'PLAN_ERROR_OBJ_SAVE'=> 'Cannot save objects',
		'PLAN_ERROR_OBJ_DEL'=> 'Cannot delete objects',
		'PLAN_CAUTION'=> 'Caution',
		'PLAN_SAVE_EMPTY_TRASH_MSG'=> 'There are items in the trash. These will be permanently deleted when saving the plan.',
		'PLAN_BACK_UNSAVED_MSG'=> 'There are unsaved changes. By choosing "Leave" these changes will be lost.',
		'PLAN_LEAVE'=> 'Leave',
		'PLAN_SW_PORTS'=> 'ports',
		'PLAN_MENU_SERVERS'=> 'Servers',
		'PLAN_MENU_STORAGE'=> 'NAS/SAN',
		'PLAN_MENU_SWITCHS'=> 'Switchs',
		'PLAN_MENU_ROUTERS'=> 'Routers',
		'PLAN_MENU_FIREWALLS'=> 'Firewalls',
		'PLAN_MENU_POWER'=> 'Power',
		'PLAN_MENU_SENSORS'=> 'Sensors',
		'PLAN_MENU_GENERICS'=> 'Generics',
		'PLAN_MENU_OTHERS'=> 'Others',
		'PLAN_ELT_SERVER'=> 'Server',
		'PLAN_ELT_STORAGE'=> 'NAS/SAN',
		'PLAN_ELT_SWITCH'=> 'Switch',
		'PLAN_ELT_ROUTER'=> 'Router',
		'PLAN_ELT_FIREWALL'=> 'Firewall',
		'PLAN_ELT_UPS'=> 'UPS',
		'PLAN_ELT_SENSOR'=> 'Sensor',
		'PLAN_ELT_GENERIC'=> 'Generic',
		'PLAN_ELT_BLANK'=> 'Blank',
		'PLAN_ELT_CABLE_MANAG'=> 'Cable-management',
		'PLAN_ELT_PATCH_PANEL'=> 'Patch-panel',
		'PLAN_ELT_CONSOLE'=> 'Console',
		'PLAN_ELT_SHELF'=> 'Sliding-shelf',
		'PLAN_ELT_PDU'=> 'PDU',
		'PLAN_ELT_POWER_STRIP'=> 'Power-strip',
		'PLAN_CABLES_MANAG_TRAY'=> 'tray',
		'PLAN_CABLES_MANAG_RINGS'=> 'rings',
		'PLAN_PATCH_PANEL_ETHERNET'=> 'ethernet',
		'PLAN_PATCH_PANEL_FIBER'=> 'fiber',
		'PLAN_RACK_ITEM'=> 'Rack item',
		'PLAN_RACK_ITEM_CONF'=> 'Rack item settings',
		'PLAN_RACK_STATE_PING'=> 'Ping',
		'PLAN_RACK_STATE_CPU'=> 'Processor',
		'PLAN_RACK_STATE_MEM'=> 'Memory',
		'PLAN_RACK_STATE_RAID'=> 'Raid',
		'PLAN_RACK_STATE_DISKS'=> 'Disks',
		'PLAN_RACK_STATE_POWER'=> 'Power',
		'PLAN_RACK_STATE_TEMP'=> 'Temperature',
		'PLAN_RACK_STATE_BANDWIDTH'=> 'Bandwidth',
		'PLAN_RACK_STATE_CONNECTIONS'=> 'Nbr of connections',
		'PLAN_RACK_STATE_VPN'=> 'VPN',
		'PLAN_RACK_STATE_BATTERIES'=> 'Batteries',
		'PLAN_RACK_STATE_FANS'=> 'Fans',
		'PLAN_RACK_STATE_IFS'=> 'Interfaces',
		'PLAN_RACK_STATE_OUTLETS'=> 'Outlets',
		'PLAN_RACK_STATE_INPUTS'=> 'Dry contacts',
		'PLAN_RACK_STATE_HEALTH'=> 'Health',
		'PLAN_SHOW_DETAILS'=> 'Show details',
		'ACCESS_MAP_CREATE_FOLDER'=> 'Allow creation of directories in plans module',
        'ACCESS_MAP_CREATE_PLAN'=> 'Allows the creation of plans in the plans module',
        'ACCESS_MAP_VIEW'=> 'Allow access to the plans module',
        'ACCESS_MAP_ADMINISTRATION'=> 'Authorize creation/modification/deletion of plans',
		'PLAN_OBJECT_CONF'=> 'Object settings',
		'PLAN_OBJ_LINK_CONF'=> 'Link settings',
		'PLAN_SOURCE'=> 'Source',
		'PLAN_TARGET'=> 'Target',
		'PLAN_LATENCY'=> 'Latency',
		'PLAN_ERROR_ICN_GROUP_NAME'=> 'Icons group name missing',
		'PLAN_ERROR_ICN_GROUP_ID'=> 'Icons group identifier missing',
		'PLAN_ERROR_ICN_ID'=> 'Icon identifier missing',
		'PLAN_ERROR_ICN_NAME_USED'=> 'This name is already used for another icon',
		'PLAN_BG_IMG_GLOBAL'=> 'Global',
		'PLAN_BG_IMG_LINKED'=> 'Linked to this plan',
		'PLAN_BG_IMG_GLOBAL_INFO'=> 'Available on all plans',
		'PLAN_BG_IMG_LINKED_INFO'=> 'Only available on this plan',
		'PLAN_ERROR_REFRESH_ADM_ICONS'=> 'Icons menu cannot be refreshed',
		'PLAN_DISPLAY'=> 'Display',
		'PLAN_DISABLE_ARROWS'=> 'Disable arrows',
		'PLAN_DISABLE_LABELS'=> 'Disable labels',
));

?>
