<?php
//Fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=TRUE;
include_once $path.'common.php';
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_PLAN');
$apache_path = $arr[0]['apache_path'];
$foldersURL = $apache_path . 'folder_plan.php';
include_once $path.'/'.$apache_path.'plan.conf.php';
include_once MODEL_PLAN;

try
{
	//vérification des accès
	$user = new User($dbconnection);
	$user->sessionIDisValid();
	if($user->getDroits($dbconnection,"map_view") == 1)
	{
		$th = 0;
		//Mise en place des préférence de l'utilisateur (CSS)
		//initialisation de l'objet smarty
		$smarty = new Smarty();
		$smarty->assign('apache_path', $apache_path);
		if(isset($user) )
		{
			if($user->getTheme()!="")
			{
				$th=1;
				$smarty->template_dir = $path.'/theme/'.$user->getTheme().'/template/';
				$smarty->compile_dir = $path.'/theme/'.$user->getTheme().'/templates_c/';
				$smarty->config_dir = $path.'/configs/';
				$smarty->cache_dir = $path.'/cache/';
				$smarty->assign('css', '/theme/'.$user->getTheme().'/design.css');
				include_once $path.'/theme/'.$user->getTheme().'/icons.php';
			}
		}
		if($th==0)
		{
			//configuration moteur template
			$theme = Model_esia::getApplicationTheme($dbconnection);
			$smarty->template_dir = $path.'/theme/'.$theme.'/template/';
			$smarty->compile_dir = $path.'/theme/'.$theme.'/templates_c/';
			$smarty->config_dir = $path.'/configs/';
			$smarty->cache_dir = $path.'/cache/';
			$smarty->assign('css', '/theme/'.$theme.'/design.css');
			include_once $path.'/theme/'.$theme.'/icons.php';
		}
		//mise en place des fichier de langue
		if($user->getLang()!="")
		{
			//configuration de la langue de l'application
			include $path.'/lang/'.$user->getLang().'/'.$user->getLang().'.php';
			include $path.'/lang/'.$user->getLang().'/common_plugin_name.php';
			include $path.'/lang/'.$user->getLang().'/message.php';
			include $path.'/'.$apache_path.'/lang/'.$user->getLang().'.php';
		}
		else
		{
			include $path.'/lang/'.LANG.'/'.LANG.'.php';
			include $path.'/lang/'.LANG.'/common_plugin_name.php';
			include $path.'/lang/'.LANG.'/message.php';
			include $path.'/'.$apache_path.'/lang/'.LANG.'.php';
		}
		$smarty->assign('lang', $lang);
		if(isset($_GET['action']))
		{
			$action=$_GET['action'];
		}
		else
		{
			$action='menu';
		}
		$user_have_admin_perm = ($user->getDroits($dbconnection,"map_administration") == 1 );
		$smarty->assign('plan_admin_perm',$user_have_admin_perm);

		$smarty->assign('webp_plan_name', $arr[0]['name']);

		if($action == 'folder')
		{
			// Recupération des éléments a afficher dans le dossier
			$content = array();
			$folderId = 0; // 0 for Root folder
			if(!empty($_GET['id']))
			{
				$folderId = intval($_GET['id']);
			}
			$folders = Model_plan::getFolders($dbconnection, $user->getId(), NULL, $folderId);
			$plans = Model_plan::getPlans($dbconnection, $user->getId(), NULL, $folderId);
			// Folders
			foreach($folders as $fold)
			{
				$content[] = array(
					'id' => $fold['id'],
					'name' => $fold['name'],
					'url' => $foldersURL . '?id=' . $fold['id'],
					'type' => 'folder',
					'lang_plan_type' => $lang['PLAN_FOLDER']
				);
			}
			// Plans
			foreach($plans as $plan)
			{
				$langTypeKey = "PLAN_TYPE_" . strtoupper($plan['type_name']);
				if(!isset($lang[$langTypeKey]))
				{
					$langTypeKey = "PLAN_TYPE_UNKNOWN";
				}

				$content[] = array(
					'id' => $plan['id'],
					'name' => $plan['name'],
					'url' => $apache_path . $plan['type_controller'] . '&id=' . $plan['id'],
					'type' => 'plan',
					'plan_type' => $plan['type_name'],
					'lang_plan_type' => $lang[$langTypeKey]
				);
			}

			echo json_encode($content);
			exit(0);
		}
		else
		{
			$smarty->display($path . $apache_path . 'templates/menu_plan.html');
		}
	}
}
catch(\EsiaDbException | \Exception $e)
{
	// echo json_encode(array('error' => $e->getMessage()));
}
?>
