<?php

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'WEBP_PLAN' => 'Plans',
		'PLAN_PLANS' => 'Plans',
		'PLAN_PLAN' => 'Plan',
		'PLAN_ICONS' => 'Icônes',
		'PLAN_ICON' => 'Icône',
		'PLAN_LINK' => 'Lier',
		'PLAN_LINKS' => 'Liens',
		'PLAN_IMAGE' => 'Images de fond',
		'PLAN_UPL_IMG' => 'Charger nouvelle image',
		'PLAN_HELP_OBJ_DETAILS' => 'Ctrl + Click&nbsp;: Ouvre le détail des éléments liés à l\'objet',
		'PLAN_HELP_LINKED_PLAN' => 'Click&nbsp;: Ouvre un plan lié à l\'objet',
		'PLAN_HELP_CLICK_ZOOM' => 'Click&nbsp;: Zoom sur l\'objet',
		'PLAN_HELP_LINK_CLICK_GRAPH' => 'Click&nbsp;: Affiche le graphique du service lié',
		'PLAN_UPDATE_OBJECT' => 'Objet mis à jour',
		'PLAN_UPDATE_LINK' => 'Lien mis à jour',
		'PLAN_DELETE_SERVICE_LINK' => 'Suppression du service lié réussie',
		'PLAN_DELETE_NODE_OBJECT' =>'Suppression du noeud lié réussie',
		'PLAN_DELETE_GROUP_OBJECT' =>'Suppression du groupe lié réussie',
		'PLAN_LINKED_SERVICES' => 'Services liés',
		'PLAN_LINKED_SERVICE' => 'Service lié',
		'PLAN_ONLY_TWO_SERVICES' => 'Vous pouvez lier 2 services maximum sur un lien',
		'PLAN_RESIZE' => 'Redimensionner',
		'PLAN_DELETE' => 'Supprimer',
		'PLAN_DELETE_VALIDATE' => 'Valider la suppression',
		'PLAN_DELETE_ABORT' => 'Annuler la suppression',
		'PLAN_CLOSE' => 'Fermer',
		'PLAN_MODIFY' => 'Modifier',
		'PLAN_MODIFY_VALIDATE' => 'Valider les modifications',
		'PLAN_MODIFY_ABORT' => 'Annuler les modifications',
		'PLAN_VALIDATE' => 'Valider',
		'PLAN_ABORT' => 'Annuler',
		'PLAN_CLICK_LINK_ELEM' => 'Cliquez sur l\'élément à lier',
		'PLAN_GIVE_NAME' => 'Donnez un nom',
		'PLAN_PLEASE_GIVE_NAME' => 'Veuillez donner un nom',
		'PLAN_UPD_OK'=>'Plan modifié avec succes',
		'PLAN_DEL_IMG'=>'Supprimer image',
		'PLAN_DELETE_IMAGE_TEXT'=>'Image supprimée avec succes',
		'PLAN_ITEMS' => 'Éléments',
		'PLAN_LINKED_ELEMENTS' => 'Éléments liés',
		'PLAN_NO_LINKED_ELEMENT' => 'Aucun élément lié à cet objet',
		'PLAN_UPLOAD' => 'Charger',
		'PLAN_DELETE_IMAGE'=>'Voulez-vous supprimer l\'image ?',
		'PLAN_IMPORT_LOGO'=>'Importation de nouvelle images',
		'PLAN_ADD' => 'Ajouter un plan',
		'PLAN_ADD_SUCCES' => 'Plan créé avec succès',
		'PLAN_ADD_FAILED' => 'Le plan n\'a pas pu être ajouter',
		'PLAN_ADD_FAILED_USER_RIGHTS' => 'L\'utilisateur n\'a pas les autorisations requises',
		'PLAN_ADD_FAILED_MISSING_VAR' => 'Informations manquantes',
		'PLAN_DELETE_PLAN'=>'Voulez-vous vraiment supprimer ce plan et ses références ? </br>Tous les objets se trouvant sur le plan seront également supprimés',
		'PLAN_DELETE_SUCCESS'=> 'Plan supprimé avec succès',
		'PLAN_DELETE_FAILED'=> 'Le plan n\'a pas pu être supprimé',
		'PLAN_NEW_NAME_ICON'=>'Nouveau nom pour l\'icône',
		'PLAN_UPD_NAME_ICON'=>'Modifier le nom de l\'icône',
		'PLAN_NEW_PLAN'=>'Nouveau plan',
		'PLAN_DISPLAY_ICONS' => 'Afficher icône',
		'PLAN_DELETE_ICON_ON_PLAN'=>'Cette icône ne peut être supprimée car elle est présente sur ces plans :',
		'PLAN_UPD_ICON_OBJET'=>'Modifier icône',
		'PLAN_NO_PLAN_LINKED' => 'Aucun plan lié',
		'PLAN_LINK_PLAN' => 'Lier un plan',
		'PLAN_ADMIN_ICON' => 'Administration des icônes',
		'PLAN_UPLOAD_ONE_LOGO' => 'Charger une nouvelle icône',
		'PLAN_UPLOAD_FOUR_LOGOS' => 'Charger une icône par statut',
		'PLAN_INFO_FOUR_LOGOS' => 'Charger une image par statut (Ok - Alerte - Critique - Inconnu)',
		'PLAN_INFO_ONE_LOGO' => 'Charger une image qui aura une bordure prenant la couleur du statut',
		'PLAN_SELECT_ICON_GROUP' => 'Sélectionner le groupe d\'icônes',
		'PLAN_GROUP_ADMIN' => 'Gestion des groupes d\'icônes',
		'PLAN_ADD_ICON_GROUP' => 'Ajouter un groupe d\'icônes',
		'PLAN_INFO_LOGO_ADM' => 'Cliquez sur l\'icône à modifier ou supprimer',
		'PLAN_ESIA_ICON_INFO' => 'Les icônes ESIA ne peuvent pas être modifiées ou supprimées',
		'PLAN_ESIA_GRP_ICON_UNIQ' => 'Le groupe d\'icônes ESIA est le groupe par défaut et ne peut pas être réutilisé',
		'PLAN_UPL_ICON_SUCCESS' => 'Icône chargée avec succès',
		'PLAN_SAME_EXTENSION' => 'Erreur, les fichiers doivent avoir la même extension',
		'PLAN_ADD_ICON_GROUP' => 'Ajouter un groupe d\'icônes',
		'PLAN_ADD_ICON_GROUP_SUCCESS' => 'Groupe d\'icônes ajouté avec succès',
		'PLAN_UPD_ICON_GROUP' => 'Modifier un groupe d\'icônes',
		'PLAN_UPD_ICON_GROUP_SUCCESS' => 'Groupe d\'icônes modifié avec succès',
		'PLAN_DEL_ICON_GROUP' => 'Supprimer un groupe d\'icônes',
		'PLAN_DEL_ICON_GROUP_SUCCESS' => 'Groupe d\'icônes supprimé avec succès',
		'PLAN_DEL_ICON_GROUP_ERR_GROUP_FILES' => 'Groupe d\'icônes supprimé mais certains fichiers d\'icônes n\'ont pas pu être effacés du serveur&nbsp;: ',
		'PLAN_DEL_ICON_GROUP_WARN' => 'Vous êtes sur le point de supprimer le groupe d\'icônes',
		'PLAN_DEL_ICON_GROUP_CONTENT_CHOICE' => 'Que souhaitez-vous faire du contenu de ce groupe d\'icônes&nbsp;?',
		'PLAN_DEL_ICON_GROUP_CONTENT_DELETE'=> 'Supprimer le groupe d\'icônes et tout son contenu',
		'PLAN_DEL_ICON_GROUP_CONTENT_DEFAULT'=> 'Supprimer le groupe d\'icônes mais copier son contenu dans le groupe par défaut',
		'PLAN_UPD_ICON' => 'Modifier une icône',
		'PLAN_UPD_ICON_SUCCESS' => 'Icône modifiée avec succès',
		'PLAN_DEL_ICON' => 'Supprimer une icône',
		'PLAN_DEL_ICON_SUCCESS' => 'Icône supprimée avec succès',
		'PLAN_DEL_ICON_ERR_FILES' => 'Icône supprimée de la DB mais certains fichiers n\'ont pas pu être effacés du serveur&nbsp;: ',
		'PLAN_ICONS_DEFAULT_GROUP' => 'Défaut',
		'PLAN_DEL_GROUP_INFO' => 'Etes-vous sûr de supprimer le groupe ? Les icônes associées ne seront plus affectés à aucun groupe',
		'PLAN_DEL_ICON_INFO' => 'Etes-vous sûr de vouloir supprimer cette icône ?',
		'PLAN_UNABLE_DEL_ICON_INFO' => 'Impossible de supprimer cette icone car elle est présente sur le(s) plan(s) suivant(s) :',
		'PLAN_UPD_ICON_SUCESS' => 'Icône modifiée avec succès',
		'PLAN_DISPLAY_RESSOURCES' => 'Afficher les ressources',
		'PLAN_ZONE' => 'Zone',
		'PLAN_UPDATE_ZONE' => 'Zone mise à jour avec succès',
		'PLAN_LINKED_PLAN' => 'Plan lié',
		'PLAN_UPDATED_SUCCESS' => 'Plan mis à jour avec succès',
		'PLAN_CREATE_ZONE' => 'Créer une zone',
		'PLAN_HELP_ZONE' => 'Cliquez sur le plan et définissez les bords de votre nouvelle zone',
		'PLAN_DELETE_ZONE_SUCCESS' => 'Zone supprimée avec succès',
		'PLAN_LINK_ORDER'=>'Sens du lien',
		'PLAN_CHANGE_LINK_ORDER'=>'Inverser le sens des liens',
		'PLAN_OBJECT_NAME' => 'Nom de l\'objet',
		'PLAN_WARNING_LINKED' => 'Attention, ce plan est référencé dans les "plans -> objets" suivants&nbsp;:',
		'PLAN_REFRESH_EVERY' => 'Rafraîchissement toutes les',
		'PLAN_REFRESH_HELP' => '0 = pas de rafraîchissement',
		'PLAN_OBJ_DELETED' => 'Objet supprimé avec succès',
		'PLAN_ONE_SERVICE_BY_LINK' => 'Créer un lien par service',
		'PLAN_READ_USER_SHARE' => 'Partager en lecture',
		'PLAN_WRITE_USER_SHARE' => 'Partager en lecture & écriture',
		'PLAN_NO_FOUND'=> 'Ce plan est inexistant',
		'PLAN_USER_PERMS_DENIED'=> 'Action non autorisée: Permission refusée',
		'PLAN_FOLDER'=> 'Dossier ',
		'PLAN_FOLDERNAME'=> 'Nom du dossier ',
		'PLAN_FOLDER_CREATE'=> 'Créer un dossier',
		'PLAN_FOLDER_CREATE_SUCCESS'=> 'Dossier créé avec succès',
		'PLAN_FOLDER_UPDATE'=> 'Modifier le dossier courant',
		'PLAN_FOLDER_UPDATE_SUCCESS'=> 'Dossier modifié avec succès',
		'PLAN_FOLDER_UPDATE_FAILED'=> 'Le dossier n\'a pas pu être modifié',
		'PLAN_FOLDER_DELETE'=> 'Supprimer le dossier courant',
		'PLAN_FOLDER_DELETE_WARN'=> 'Vous êtes sur le point de supprimer le dossier &laquo; %s &raquo; pour tous les utilisateurs.',
		'PLAN_FOLDER_DELETE_CONTENT_CHOICE'=> 'Que souhaitez-vous faire du contenu de ce dossier&nbsp;?',
		'PLAN_FOLDER_DELETE_CONTENT_DELETE'=> 'Supprimer le dossier et tout son contenu',
		'PLAN_FOLDER_DELETE_CONTENT_ROOT'=> 'Supprimer le dossier mais copier son contenu dans le répertoire Racine',
		'PLAN_FOLDER_DELETE_SUCCESS'=> 'Dossier supprimé avec succès',
		'PLAN_FOLDER_DELETE_FAILED'=> 'Le dossier n\'a pas pu être supprimé',
		'PLAN_FOLDER_PARENT'=> 'Dossier parent',
		'PLAN_FOLDER_PRIVILEGE'=> 'Modifier les privilèges d\'accès au répertoire',
		'PLAN_NAME'=> 'Nom du plan',
		'PLAN_TYPE'=> 'Type de plan',
		'DASHBOARD_WIDGET_GROUP_PLAN'=>'Plan',
		'PLAN_TYPE_FOLDER'=> 'Dossier',
		'PLAN_TYPE_IMAGE'=> 'Plan image',
		'PLAN_TYPE_GOOGLEMAP'=> 'Plan carte',
		'PLAN_TYPE_UNKNOWN'=> 'Plan',
		'PLAN_FOLDER_ROOT'=> 'Racine',
		'PLAN_MOVE_SUCCESS'=> ' a été déplacé avec succès',
		'PLAN_MOVE_FAILED_ITEM_RIGHTS'=> 'Vous ne pouvez pas déplacé %s car vous n\'avez pas les droits d\'écriture sur celui-ci.',
		'PLAN_MOVE_FAILED_TARGET_RIGHTS'=> 'Vous n\'avez pas les droits d\'écriture sur le dossier cible.',
		'PLAN_MOVE_INFO'=> 'Glisser-Déposer&nbsp;: Pour déplacer des dossiers ou des plans par Glisser-Déposer, votre compte utilisateur doit avoir le droit &laquo;map_administration&raquo; ainsi que les droits d\'écriture sur l\'élément à déplacé et sur le dossier cible.',
		'PLAN_CLONE' => 'Dupliquer',
		'PLAN_PREVIEW'=> 'Aperçu',
		'PLAN_STYLES'=> 'Styles',
		'PLAN_STYLES_TITLE'=> 'Styles du titre',
		'PLAN_STYLES_CONTENT'=> 'Styles du contenu',
		'PLAN_STYLES_BOX'=> 'Styles de la boite',
		'PLAN_STYLES_FONT_SIZE'=> 'Taille de la police',
		'PLAN_STYLES_FONT_COLOR'=> 'Couleur de la police',
		'PLAN_STYLES_BG_COLOR'=> 'Couleur d\'arrière plan',
		'PLAN_STYLES_BG_OPACITY'=> 'Opacité d\'arrière plan',
		'PLAN_STYLES_BORDER_COLOR'=> 'Couleur de la bordure',
		'PLAN_STYLES_BORDER_WIDTH'=> 'Épaisseur de la bordure',
		'PLAN_STYLES_BORDER_RADIUS'=> 'Angles de la boite',
		'PLAN_STYLES_PADDING'=> 'Écartement du bord',
		'PLAN_LINK_FIELDS'=> 'Uniformiser les paramètres',
		'PLAN_UNLINK_FIELDS'=> 'Affiner les paramètres',
		'PLAN_TOOLS' => 'Outils',
		'PLAN_TOOLS_TEXT'=> 'Texte',
		'PLAN_TOOLS_TEXT_CONF'=> 'Paramètres du texte',
		'PLAN_TOOLS_TEXT_PLACEHOLDER'=> 'Entrez votre texte',
		'PLAN_TOOLS_SERVICE'=> 'Service',
		'PLAN_TOOLS_SERVICE_CONF'=> 'Paramètres de l\'objet service',
		'PLAN_TOOLS_SERVICE_ERR_DISPLAY'=> 'Impossible d\'afficher l\'objet service ',
		'PLAN_TOOLS_SERVICE_ERR_TYPE'=> 'Type non reconnu ',
		'PLAN_TOOLS_OBJECT_DELETE_FAILED'=> 'L\'élément n\'a pas pu être supprimer',
		'PLAN_NOT_GET_STATE'=> 'Ne pas récupérer le statut',
		'PLAN_SERVICE_TYPE_STATE'=> 'État',
		'PLAN_MESSAGE'=> 'Message',
		'PLAN_DISPLAY_PARAM'=> 'Paramètres d\'affichage',
		'PLAN_DISPLAY_NAME'=> 'Nom',
		'PLAN_DISPLAY_STATE'=> 'État',
		'PLAN_DISPLAY_NAME_STATE'=> 'Nom et état',
		'PLAN_DISPLAY_NONE'=> 'Aucun',
		'PLAN_NODE_NAME'=> 'Nom du noeud',
		'PLAN_SERVICE_STATE_COLOR'=> 'Couleur d\'état du service',
		'PLAN_SERVICE_CONTENT'=> 'Contenu du service',
		'PLAN_VAL_NAME'=> 'Nom de la valeur',
		'PLAN_SERVICE_NAME'=> 'Nom du service',
		'PLAN_VALUES'=> 'Valeurs',
		'PLAN_SERVICE'=> 'Service',
		'PLAN_SERVICES'=> 'Services',
		'PLAN_CONTENT_TO_DISPLAY'=> 'Contenu à afficher',
		'PLAN_SERVICE_DEFAULT_NAME'=> 'Service',
		'PLAN_SERVICE_VAL_DEFAULT_NAME'=> 'Valeur',
		'PLAN_OBJECT_SERVICE'=> 'Objet service',
		'PLAN_TRASH'=> 'Corbeille',
		'PLAN_TO_TRASH'=> 'Mettre à la corbeille',
		'PLAN_TRASH_ACTION_EMPTY'=> 'Vider la corbeille',
		'PLAN_TRASH_EMPTY_MSG'=> 'Supprimer définitivement tous les éléments de la corbeille ?',
		'PLAN_ZOOM'=> 'Zoom',
		'PLAN_TYPE_RACK'=> 'Plan rack',
		'PLAN_RACK_PARAM'=> 'Paramètres du rack',
		'PLAN_RACK_U_NBR'=> 'Nombre de U',
		'PLAN_RACK_HIDE_EMPTY_U'=> 'Masquer les U vides',
		'PLAN_ERROR_PLAN_PARAM'=> 'Erreur lors de la modification des paramètres du plan',
		'PLAN_ERROR_PLAN_ID'=> 'L\'identifiant du Plan ne correspond pas',
		'PLAN_ERROR_PLAN_NAME'=> 'Nom du plan manquant',
		'PLAN_ERROR_RACK'=> 'Erreur lors de la modification du rack',
		'PLAN_ERROR_RACK_PARAM'=> 'Paramètres du rack manquants',
		'PLAN_ERROR_INVALID_ITEM'=> 'Élément invalide',
		'PLAN_ERROR_RACK_ITEMS'=> 'Les éléments du rack n\'ont pas pu être récupérés',
		'PLAN_ERROR_RACK_ITEMS_DEL'=> 'Impossible de supprimer les éléments de la corbeille',
		'PLAN_ERROR_RACK_ITEMS_DEL_EMPTY'=> 'La liste des éléments à supprimer est vide',
		'PLAN_ERROR_RACK_ITEM_CONF'=> 'Erreur lors de la configuration de l\'élément du rack',
		'PLAN_ERROR_SERVICES_FETCH'=> 'La liste des services n\'a pas pu être récupérée',
		'PLAN_ERROR_SERVICES_STATE'=> 'Impossible de récupérer l\'état des services',
		'PLAN_ERROR_OBJ_SAVE'=> 'Impossible de sauvegarder les objets',
		'PLAN_ERROR_OBJ_DEL'=> 'Impossible de supprimer les objets',
		'PLAN_CAUTION'=> 'Attention',
		'PLAN_SAVE_EMPTY_TRASH_MSG'=> 'Il y a des éléments dans la corbeille. Ceux-ci seront définitivement supprimés lors de la sauvegarde du plan.',
		'PLAN_BACK_UNSAVED_MSG'=> 'Il y a des modifications non sauvegardées. En choisissant &laquo;Quitter&raquo; ces modifications seront perdues.',
		'PLAN_LEAVE'=> 'Quitter',
		'PLAN_SW_PORTS'=> 'ports',
		'PLAN_MENU_SERVERS'=> 'Serveurs',
		'PLAN_MENU_STORAGE'=> 'NAS/SAN',
		'PLAN_MENU_SWITCHS'=> 'Switchs',
		'PLAN_MENU_ROUTERS'=> 'Routeurs',
		'PLAN_MENU_FIREWALLS'=> 'Pare-feux',
		'PLAN_MENU_POWER'=> 'Alimentation',
		'PLAN_MENU_SENSORS'=> 'Capteurs',
		'PLAN_MENU_GENERICS'=> 'Génériques',
		'PLAN_MENU_OTHERS'=> 'Autres',
		'PLAN_ELT_SERVER'=> 'Serveur',
		'PLAN_ELT_STORAGE'=> 'NAS/SAN',
		'PLAN_ELT_SWITCH'=> 'Switch',
		'PLAN_ELT_ROUTER'=> 'Routeur',
		'PLAN_ELT_FIREWALL'=> 'Pare-feu',
		'PLAN_ELT_UPS'=> 'UPS',
		'PLAN_ELT_SENSOR'=> 'Capteur',
		'PLAN_ELT_GENERIC'=> 'Générique',
		'PLAN_ELT_BLANK'=> 'Cache',
		'PLAN_ELT_CABLE_MANAG'=> 'Passe-câble',
		'PLAN_ELT_PATCH_PANEL'=> 'Patch-panel',
		'PLAN_ELT_CONSOLE'=> 'Console',
		'PLAN_ELT_SHELF'=> 'Étagère-coulissante',
		'PLAN_ELT_PDU'=> 'PDU',
		'PLAN_ELT_POWER_STRIP'=> 'Multiprise',
		'PLAN_CABLES_MANAG_TRAY'=> 'goulotte',
		'PLAN_CABLES_MANAG_RINGS'=> 'anneaux',
		'PLAN_PATCH_PANEL_ETHERNET'=> 'ethernet',
		'PLAN_PATCH_PANEL_FIBER'=> 'fibre-optique',
		'PLAN_RACK_ITEM'=> 'Élément du rack',
		'PLAN_RACK_ITEM_CONF'=> 'Paramètres de l\'élément du rack',
		'PLAN_RACK_STATE_PING'=> 'Ping',
		'PLAN_RACK_STATE_CPU'=> 'Processeur',
		'PLAN_RACK_STATE_MEM'=> 'Mémoire',
		'PLAN_RACK_STATE_RAID'=> 'Raid',
		'PLAN_RACK_STATE_DISKS'=> 'Disques',
		'PLAN_RACK_STATE_POWER'=> 'Alimentation',
		'PLAN_RACK_STATE_TEMP'=> 'Température',
		'PLAN_RACK_STATE_BANDWIDTH'=> 'Bande passante',
		'PLAN_RACK_STATE_CONNECTIONS'=> 'Nbr de connexions',
		'PLAN_RACK_STATE_VPN'=> 'VPN',
		'PLAN_RACK_STATE_BATTERIES'=> 'Batteries',
		'PLAN_RACK_STATE_FANS'=> 'Ventillateurs',
		'PLAN_RACK_STATE_IFS'=> 'Interfaces',
		'PLAN_RACK_STATE_OUTLETS'=> 'Prises',
		'PLAN_RACK_STATE_INPUTS'=> 'Contacts sec',
		'PLAN_RACK_STATE_HEALTH'=> 'Santé',
		'PLAN_SHOW_DETAILS'=> 'Voir détails',
		'ACCESS_MAP_CREATE_FOLDER'=> 'Autorise la création de répertoires dans le module de plans',
        'ACCESS_MAP_CREATE_PLAN'=> 'Autorise la création de plans dans le module de plans',
        'ACCESS_MAP_VIEW'=> 'Autorise l\'accès au module de plans',
        'ACCESS_MAP_ADMINISTRATION'=> 'Autorise la création/modification/suppression de plans',
		'PLAN_OBJECT_CONF'=> 'Paramètres de l\'objet',
		'PLAN_OBJ_LINK_CONF'=> 'Paramètres du lien',
		'PLAN_SOURCE'=> 'Source',
		'PLAN_TARGET'=> 'Cible',
		'PLAN_LATENCY'=> 'Latence',
		'PLAN_ERROR_ICN_GROUP_NAME'=> 'Nom du groupe d\'icônes manquant',
		'PLAN_ERROR_ICN_GROUP_ID'=> 'Identifiant du groupe d\'icônes manquant',
		'PLAN_ERROR_ICN_ID'=> 'Identifiant de l\'icône manquant',
		'PLAN_ERROR_ICN_NAME_USED'=> 'Ce nom est déjà utilisé pour une autre icône',
		'PLAN_BG_IMG_GLOBAL'=> 'Général',
		'PLAN_BG_IMG_LINKED'=> 'Lier à ce plan',
		'PLAN_BG_IMG_GLOBAL_INFO'=> 'Disponnible sur tous les plans',
		'PLAN_BG_IMG_LINKED_INFO'=> 'Disponnible unniquement sur ce plan',
		'PLAN_ERROR_REFRESH_ADM_ICONS'=> 'Le menu des icônes ne peut pas être actualisé',
		'PLAN_DISPLAY'=> 'Affichage',
		'PLAN_DISABLE_ARROWS'=> 'Désactiver les flèches',
		'PLAN_DISABLE_LABELS'=> 'Désactiver les labels',
));

?>
